Source: daemon/proto/hostcraft/v1/cron.proto
CronService manages per-account scheduled jobs (systemd timers). REST: /api/v1/cron/jobs.
| Method |
REST route |
Permission |
Streaming |
ListCronJobs |
GET /api/v1/cron/jobs |
CronJobRead |
unary |
CreateCronJob |
POST /api/v1/cron/jobs |
CronJobCreate |
unary |
GetCronJob |
GET /api/v1/cron/jobs/{id} |
CronJobRead |
unary |
UpdateCronJob |
PATCH /api/v1/cron/jobs/{id} |
CronJobUpdate |
unary |
DeleteCronJob |
DELETE /api/v1/cron/jobs/{id} |
CronJobDelete |
unary |
EnableCronJob |
POST /api/v1/cron/jobs/{id}/enable |
CronJobEnable |
unary |
DisableCronJob |
POST /api/v1/cron/jobs/{id}/disable |
CronJobDisable |
unary |
RunCronJobNow |
POST /api/v1/cron/jobs/{id}/run |
CronJobRunNow |
unary |
GetCronJobHistory |
GET /api/v1/cron/jobs/{id}/history |
CronJobHistory |
unary |
/hostcraft.v1.CronService/ListCronJobs
/hostcraft.v1.CronService/CreateCronJob
/hostcraft.v1.CronService/GetCronJob
/hostcraft.v1.CronService/UpdateCronJob
/hostcraft.v1.CronService/DeleteCronJob
/hostcraft.v1.CronService/EnableCronJob
/hostcraft.v1.CronService/DisableCronJob
/hostcraft.v1.CronService/RunCronJobNow
/hostcraft.v1.CronService/GetCronJobHistory
| Field |
Type |
Number |
Description |
account_id |
string |
1 |
- |
schedule_cron |
string |
2 |
- |
command |
string |
3 |
- |
working_dir |
string |
4 |
- |
env |
map<string, string> |
5 |
- |
enabled |
bool |
6 |
- |
description |
string |
7 |
- |
| Field |
Type |
Number |
Description |
job |
CronJob |
1 |
- |
workflow_id |
string |
2 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
cron_id |
string |
2 |
- |
account_id |
string |
3 |
- |
started_at |
google.protobuf.Timestamp |
4 |
- |
finished_at |
google.protobuf.Timestamp |
5 |
- |
exit_code |
int64 |
6 |
- |
stdout |
string |
7 |
- |
stderr |
string |
8 |
- |
trigger |
string |
9 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
account_id |
string |
2 |
- |
schedule_cron |
string |
3 |
- |
command |
string |
4 |
- |
working_dir |
string |
5 |
- |
env |
map<string, string> |
6 |
- |
enabled |
bool |
7 |
- |
description |
string |
8 |
- |
created_at |
google.protobuf.Timestamp |
9 |
- |
updated_at |
google.protobuf.Timestamp |
10 |
- |
last_run_at |
google.protobuf.Timestamp |
11 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
last_n |
int64 |
2 |
- |
| Field |
Type |
Number |
Description |
executions |
repeated CronExecution |
1 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
| Field |
Type |
Number |
Description |
account_id |
string |
1 |
- |
| Field |
Type |
Number |
Description |
jobs |
repeated CronJob |
1 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
| Field |
Type |
Number |
Description |
execution |
CronExecution |
1 |
- |
| Field |
Type |
Number |
Description |
id |
string |
1 |
- |
schedule_cron |
optional string |
2 |
- |
command |
optional string |
3 |
- |
working_dir |
optional string |
4 |
- |
env |
map<string, string> |
5 |
replaces the environment when non-empty |
enabled |
optional bool |
6 |
- |
description |
optional string |
7 |
- |
WorkflowAccepted is the body of every 202 response that only starts a workflow saga. Follow progress with WorkflowService.StreamWorkflow.
| Field |
Type |
Number |
Description |
workflow_id |
string |
1 |
- |